rizq_sanjaya_app/urls.py
from django.urls import path, include
from .views import *
from django.contrib.auth import views as auth_views


app_name = 'profile'
urlpatterns = [
    # path('', admin.index, name='home'),
    ################################################# PATH URL UNTUK ADMIN################################################# 
    path('', include(
        [
            path('', admin.index, name='admin_home'),
            path('verification/', user.verification, name='admin_verification'),
            path('send_verification/', user.send_verification, name='admin_send_verification'),
            path('email/verify/<uidb64>/<token>/',user.email_verify, name='admin_email_verify'),

          
            # USERS
            path('user/', include(
                [
                    path('', user.admin_index, name='admin_user'),
                    path('create/', user.create, name='admin_user_create'),
                    path('password/edit/', user.edit_password, name='admin_user_password_edit'),
                    path('profile/edit/<str:username>/', user.edit_profile, name='admin_user_edit'),
                    path('avatar/edit/<str:username>/', user.edit_avatar, name='admin_user_avatar_edit'),
                    path('detail/', user.admin_detail, name='admin_user_detail'),
                    path('soft_delete/<str:username>/', user.softDelete, name='admin_user_soft_delete'),
                    path('permanent_delete/<str:slug>/', user.permanentDelete, name='admin_user_permanent_delete'),
                    path('restore/<str:username>/', user.restore, name='admin_user_restore'),
                    path('edit_role/', user.edit_role, name='admin_user_edit_role'),
                    path('non_aktif/<str:id>/', user.non_aktif, name='non_aktif'),
                    path('re_aktif/<str:id>/', user.re_aktif, name='aktif'),
                ]
            )),

            # SETTING APLIKASI
            path('setting/', include(
                [
                    # path('', user.admin_index, name='admin_setting'),
                    path('running_text/', setting.admin_index_running_text, name='admin_setting_running_text'),
                    path('running_text/edit/', setting.admin_index_running_text_edit, name='admin_setting_running_text_edit'),
                    path('link/', setting.admin_index_link, name='admin_setting_link'),
                    path('links/edit/', setting.admin_index_link_edit, name='admin_setting_link_edit'),
                    path('infografis/', setting.admin_index_infografis, name='admin_setting_infografis'),
                   
                    path('me/<str:section>/', setting.admin_index_aboutme, name='admin_setting_aboutme'),
                    path('create/me/<str:section>/', setting.create_aboutme, name='admin_setting_create_aboutme'),
                    path('edit/me/<str:section>/<str:id>/', setting.edit_aboutme, name='admin_setting_edit_aboutme'),
                    path('delete/<str:section>/<str:id>/', setting.delete_aboutme, name='admin_setting_delete_aboutme'),
          
                ]
            )),

            # MASTER KATEGORI================================================
            path('kategori/', include(
                [
                    path('', categori.admin_index, name='admin_kategori'),
                    path('create/', categori.create, name='admin_kategori_create'),
                    path('edit/<str:id>/', categori.edit, name='admin_categori_edit'),
                    path('soft_delete/<str:id>/', categori.softDelete, name='admin_categori_soft_delete'),
                    path('restore/<str:id>/', categori.restore, name='admin_categori_restore'),
                    
                ]
            )),

            # MASTER TAHUN================================================
            path('tahun/', include(
                [
                    path('', tahun.admin_index, name='admin_tahun'),
                    path('create/', tahun.create, name='admin_tahun_create'),
                    path('edit/<str:id>/', tahun.edit, name='admin_tahun_edit'),
                    path('soft_delete/<str:id>/', tahun.softDelete, name='admin_tahun_soft_delete'),
                    path('restore/<str:id>/', tahun.restore, name='admin_tahun_restore'),
                    
                ]
            )),
            # MASTER TURUNAN================================================
            path('tahapan/', include(
                [
                    path('', tahapan.indexTahapan, name='index_tahapan'),
                    path('create/', tahapan.create, name='admin_tahapan_create'),
                    path('edit/<str:id_tahapan>/', tahapan.edit, name='admin_tahapan_edit'),
                    path('soft_delete/<str:id_tahapan>/', tahapan.softDelete, name='admin_tahapan_soft_delete'),
                    path('restore/<str:id_tahapan>/', tahapan.restore, name='admin_tahapan_restore'),
                    
                ]
            )),

            # MASTER KEGIATAN================================================
            path('kegiatan/', include(
                [
                    path('', kegiatan.indexKegiatan, name='index_kegiatan'),
                    path('create/', kegiatan.create, name='admin_kegiatan_create'),
                    path('edit/<str:id_kegiatan>/', kegiatan.edit, name='admin_kegiatan_edit'),
                    path('soft_delete/<str:id_kegiatan>/', kegiatan.softDelete, name='admin_kegiatan_soft_delete'),
                    path('restore/<str:id_kegiatan>/', kegiatan.restoreKegiatan, name='admin_kegiatan_restore'),
                    path('parse-kegiatan-excel/', kegiatan.ParseKegiatanExcelViews.as_view(),name='parse_kegiatan_excel'),
                    
                ]
            )),

            # MASTER WILAYAH================================================
            path('wilayah/', include(
                [
                    path('', wilayah.admin_index, name='admin_wilayah'),
                    path('create/', wilayah.create, name='admin_wilayah_create'),
                    path('edit/<str:id>/', wilayah.edit, name='admin_wilayah_edit'),
                    path('soft_delete/<str:id>/', wilayah.softDelete, name='admin_wilayah_soft_delete'),
                    path('restore/<str:id>/', wilayah.restore, name='admin_wilayah_restore'),
                    
                ]
            )),

             # MASTER SKPD================================================
            path('opd/', include(
                [
                    path('', skpd.admin_index, name='admin_skpd'),
                    path('create/', skpd.create, name='admin_skpd_create'),
                    path('edit/<str:id>/', skpd.edit, name='admin_skpd_edit'),
                    path('soft_delete/<str:id>/', skpd.softDelete, name='admin_skpd_soft_delete'),
                    path('restore/<str:id>/', skpd.restore, name='admin_skpd_restore'),
                    
                ]
            )),

             # MASTER PERUSAHAAN================================================
            path('perusahaan/', include(
                [
                    path('', company.admin_index, name='admin_perusahaan'),
                    path('create/', company.create, name='admin_perusahaan_create'),
                    path('edit/<str:id>/', company.edit, name='admin_perusahaan_edit'),
                    path('soft_delete/<str:id>/', company.softDelete, name='admin_perusahaan_soft_delete'),
                    path('restore/<str:id>/', company.restore, name='admin_perusahaan_restore'),
                    
                ]
            )),

            # MASTER PEJABAT PENGESAH================================================
            path('pejabatpengesah/', include(
                [
                    path('', pengesah.admin_index, name='admin_pejabat_pengesah'),
                    path('create/', pengesah.create, name='admin_pejabatpengesah_create'),
                    path('edit/<str:id>/', pengesah.edit, name='admin_pejabatpengesah_edit'),
                    path('soft_delete/<str:id>/', pengesah.softDelete, name='admin_pejabat_soft_delete'),
                    path('restore/<str:id>/', pengesah.restore, name='admin_pejabat_restore'),
                    
                ]
            )),
            # MASTER PAJAK================================================
            path('pajak/', include(
                [
                    path('', pajak.admin_index, name='admin_pajak'),
                    path('create/', pajak.create, name='admin_pajak_create'),
                    path('edit/<str:id>/', pajak.edit, name='admin_pajak_edit'),
                    path('soft_delete/<str:id>/', pajak.softDelete, name='admin_pajak_soft_delete'),
                    path('restore/<str:id>/', pajak.restore, name='admin_pajak_restore'),
                    
                ]
            )),

            # MASTER PEMBAYARAN================================================
            path('masterstatuspembayaran/', include(
                [
                    path('', statuspembayaran.admin_index, name='admin_status_pembayaran'),
                    path('create/', statuspembayaran.create, name='admin_status_pembayaran_create'),
                    path('edit/<str:id>/', statuspembayaran.edit, name='admin_status_pembayaran_edit'),
                    path('soft_delete/<str:id>/', statuspembayaran.softDelete, name='admin_status_pembayaran_soft_delete'),
                    path('restore/<str:id>/', statuspembayaran.restore, name='admin_status_pembayaran_restore'),
                    
                ]
            )),
            # SPK================================================
            path('trans_spk/', include(
                [
                    path('', spk_.admin_index, name='admin_spk'),
                    path('create/', spk_.create, name='admin_spk_create'),

siapkerja/urls.py
from django.contrib import admin
from django.urls import path, include, re_path
from django.conf import settings
from django.conf.urls.static import static
from django.contrib.auth import views as auth_views
from django.views.static import serve
from django.views.generic import TemplateView

urlpatterns = [
    path('sudo_manage_panel/', admin.site.urls),
    path('accounts/reset/done/', auth_views.PasswordResetCompleteView.as_view(template_name='profile/admin/user/password/password_reset_complete.html'), name='password_reset_complete'), 
    path('accounts/', include("django.contrib.auth.urls")),
    path('ckeditor/', include('ckeditor_uploader.urls')),
    path('', include('rizq_sanjaya_app.urls')),
    path('captcha/',include("captcha.urls")),
    re_path(r'^media/(?P<path>.*)$', serve,{'document_root': settings.MEDIA_ROOT}), 
    re_path(r'^static/(?P<path>.*)$', serve,{'document_root': settings.STATIC_ROOT}),
]
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
urlpatterns += [
    path('<path:unknown_url>', TemplateView.as_view(template_name='404.html'), name='404'),
]

rizq_sanjaya_app/forms/profile.py
from django import forms
from ..models import *
from PIL import Image
from django.conf import settings
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User
from django import forms
from captcha.fields import CaptchaField

###################FORM PROFIL SKPD###################
class Profilskpd(forms.ModelForm):
	class Meta:
		model = ProfilSKPD
		fields = ('title','typexs','description')

class AvatarForm(forms.ModelForm):
	x = forms.FloatField(widget=forms.HiddenInput())
	y = forms.FloatField(widget=forms.HiddenInput())
	width = forms.FloatField(widget=forms.HiddenInput())
	height = forms.FloatField(widget=forms.HiddenInput())

	class Meta:
		model = Account
		fields = ('avatar', 'x', 'y', 'width', 'height',)

	def save(self):
		account = super(AvatarForm, self).save()
		x = self.cleaned_data.get('x')
		y = self.cleaned_data.get('y')
		w = self.cleaned_data.get('width')
		h = self.cleaned_data.get('height')

		image = Image.open(account.avatar)
		cropped_image = image.crop((x, y, w + x, h + y))
		cropped_image.save(f"{settings.MEDIA_ROOT}{account.avatar.name}")

		return account

class AccountForm(forms.ModelForm):
	class Meta:
		model = Account
		fields = ('first_name', 'last_name', 'phone', 'date_of_birth')

class RoleForm(forms.ModelForm):
	class Meta:
		model = Account
		fields = ('role',)

class CustomUserCreationForm(UserCreationForm):
	class Meta:
		model = Account
		fields = ('email', 'username', 'first_name', 'last_name', 'role', 'phone', 'date_of_birth', 'id_opd')

class AppSettingForm(forms.ModelForm):
	class Meta:
		model = AppSetting
		fields = ('nama', 'keterangan')

class MyCaptcha(forms.Form):
   captcha=CaptchaField()

# master Tahun
class KategoriForm(forms.ModelForm):
	class Meta:
		model = kategori
		fields = ('nama', 'status')

# master Wilayah
class WilayahForm(forms.ModelForm):
	class Meta:
		model = lokasi
		fields = ('tahun','provinsi','kabupaten', 'status')

# master OPD
class OpdForm(forms.ModelForm):
	class Meta:
		model = OPD
		fields = ('tahun','namaopd','alamatopd','kontakopd','emailopd','status','lokasi')

# master Perusahaan
class PerusahaanForm(forms.ModelForm):
	class Meta:
		model = perusahaan
		fields = ('namaperusahaan'  ,'npwp','bank','norek','alamatperusahaan','kontakperusahaan','emailperusahaan','namadirektur','status')

# master Pejabat Pengesah
class PejabatpengesahForm(forms.ModelForm):
	class Meta:
		model = pejabatpengesah
		fields = ('nip','namapegawai','jabatan','jabatankontrak','status','opd')

# master Pajak
class PajakForm(forms.ModelForm):
	class Meta:
		model = masterpajak
		fields = ('uraipajak','persen','ket','status')

# master Pembayaran
class PembayaranForm(forms.ModelForm):
	class Meta:
		model = masterpembayaran
		fields = ('urai','status')

# SPK
class SPKForm(forms.ModelForm):
    class Meta:
        model = SPK
        fields = '__all__'

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.fields['created_at'].widget = forms.HiddenInput()

# SPKRINCIAN
class SPKRINCIANForm(forms.ModelForm):
    class Meta:
        model = SPKRINCIAN
        fields = '__all__'

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.fields['created_at'].widget = forms.HiddenInput()

# SPKRINCIAN
class SPKSUBRINCIANForm(forms.ModelForm):
    class Meta:
        model = SPKSUBRINCIAN
        fields = '__all__'

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.fields['created_at'].widget = forms.HiddenInput()


# Surat Permohonan Pembayaran
class SPPForm(forms.ModelForm):
    class Meta:
        model = SPP
        fields = '__all__'

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.fields['created_at'].widget = forms.HiddenInput()

# BAST
class BASTForm(forms.ModelForm):
    class Meta:
        model = BAST
        fields = '__all__'

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.fields['created_at'].widget = forms.HiddenInput()

# BAP
class BASTForm(forms.ModelForm):
    class Meta:
        model = BAP
        fields = '__all__'

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.fields['created_at'].widget = forms.HiddenInput()

# FAKTUR PAJAK
class FAKTURTForm(forms.ModelForm):
    class Meta:
        model = FakturPajak
        fields = '__all__'

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.fields['created_at'].widget = forms.HiddenInput()

# DOKUMENTASI PEKERJAAN
class DOKUEMNTASIForm(forms.ModelForm):
    class Meta:
        model = DokumentasiPekerjaan
        fields = '__all__'

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.fields['created_at'].widget = forms.HiddenInput()

		

		
		

	  			   

rizq_sanjaya_app/views/dashboard.py
from django.shortcuts import render, HttpResponse, redirect, get_object_or_404
from django.contrib.auth.decorators import login_required
from django.views.decorators.http import require_http_methods
from ..forms import *
from django.contrib import messages
from django.utils import timezone
from django.conf import settings
from datetime import datetime
from ..decorators import *
from django.db import connections
from django.db.models import Q, Count
from ..helpers import dictfetchall, get_category
from django.core.paginator import Paginator, PageNotAnInteger, EmptyPage
import os
import pprint
from django.template.loader import render_to_string
import requests



@require_http_methods(["GET"])
def index(request):
#     profilSKPD_home = ProfilSKPD.objects.exclude(typexs='Misi').values('typexs').annotate(count=Count('typexs')).order_by('typexs')
#     layanan_skpd = LayananDinas.objects.exclude(status='Draft').annotate(count=Count('typexs'))
#     news =  News.objects.filter(deleted_at = None).order_by('-id')
#     news_side_home =  News.objects.filter(deleted_at = None).order_by('-id')[:5]
#     akses_link_home = Aksesbilitas.objects.exclude(status ='Draft')
#     home_agenda = InfoTerpadu.objects.filter(typexs='agenda',status='Publish')
#     context = {
         
#          'home_news':news,
#          'home_news_side':news_side_home,
#          'home_profilSKPD':profilSKPD_home, 
#          'home_starndar_pelayanan' :layanan_skpd,
#          'home_link_external':akses_link_home,
#          'home_agenda': home_agenda,
         
       
#     }
#     return render(request, 'profile/layouts/frontend/base.html', context)
      return render(request, 'profile/admin/index.html')

rizq_sanjaya_app/templates/profile/admin/user/create.html
{% extends 'profile/layouts/admin/admin_layout.html' %}

{% block css %}
    <style>
        .django-ckeditor-widget{
            width: 100% !important;
        }
    </style>
{% endblock css%}

{% block scripts %}
    {% load static %}
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor-init.js' %}"></script>
    <script type="text/javascript" src="{% static 'ckeditor/ckeditor/ckeditor.js' %}"></script>
{% endblock scripts %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page"><a href="{% url 'profile:admin_user' %}">Pengguna</a></li>
            <li class="breadcrumb-item active" aria-current="page">Tambah</li>
        </ol>
    </nav>
    
    <div class="card mb-5 shadow">
        <h5 class="card-header">{% if edit %}Ubah{% else %}Tambah{% endif %} Berita</h5>
        <div class="card-body">
            {% include 'profile/admin/user/form.html' %}
        </div>
    </div>

{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

rizq_sanjaya_app/templates/profile/admin/user/detail.html
{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}

{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'profile/css/cropper/cropper.min.css' %}">
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Profile</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    
    <div class="row">
        <div class="col-md-4 col-sm-12 mb-2">
            <div class="card shadow">
                <div class="card-body p-3 text-center">
                        <div class="mb-3">
                            <img class="img-fluid rounded-circle mb-2" style="height: 60%; width: 60%; aspect-ratio: 1 / 1; object-fit: cover;" 
                                {% if user.avatar %}
                                    src="{{user.avatar.url}}"
                                {% else %}
                                    src="{% static '/admin/images/profile.png' %}"
                                {% endif %}
                                alt="Profile Picture">
                            <ul class="list-unstyled">
                                <li class="text-lg">{{ request.user.username }}</li>
                                <li class="text-sm">{{ request.user.role }}</li>
                                <li class="text-sm">{{ request.user.email }}</li>
                            </ul>
                            <button class="btn btn-info" id="avatar-ubah">Ubah Foto</button>
                        </div>

                        <div class="card" id="card-form-avatar">
                            <div class="card-header">Ganti Avatar</div>
                            <div class="card-body">
                                <form method ='post' enctype ="multipart/form-data" class="text-left"
                                    action="{% url 'profile:admin_user_avatar_edit' username=request.user.username %}">
                                        {% csrf_token %}
                                        <div class="form-group">
                                            <label for="avatar">Avatar</label>
                                            <input type="file" placeholder="Masukkan avatar"
                                                class="form-control"
                                                name="avatar"
                                                id="avatar"
                                                accept="image/png, image/jpeg, image/webp">
                                                <!-- {% if form.avatar.errors %}
                                                <div class="invalid-feedback">
                                                    {{ form.avatar.errors }}
                                                </div>
                                            {% endif %}
                                            {{form.x}}
                                            {{form.y}}
                                            {{form.width}}
                                            {{form.height}} -->
                                        </div>
                                        <button type="submit" class="btn btn-info">Submit</button>
                                </form>
                            </div>
                        </div>
                            
                </div>
            </div>
        </div>

        <div class="col-md-8 col-sm-12 mb-2">
            <div class="card shadow">
                <div class="card-body p-3">
                    <div class="row">
                        <div class="col-sm-3 text-dark text-lg font-weight-bold">Nama</div>
                        <div class="col-sm-9 text-secondary text-lg">{{ request.user.first_name }} {{ request.user.last_name }}</div>
                    </div>
                    <hr>

                    <div class="row">
                        <div class="col-sm-3 text-dark text-lg font-weight-bold">Email</div>
                        <div class="col-sm-9 text-secondary text-lg">{{ request.user.email }}</div>
                    </div>
                    <hr>

                    <div class="row">
                        <div class="col-sm-3 text-dark text-lg font-weight-bold">Telepon</div>
                        <div class="col-sm-9 text-secondary text-lg">{{ request.user.phone }}</div>
                    </div>
                    <hr>

                    <div class="row">
                        <div class="col-sm-3 text-dark text-lg font-weight-bold">TTL</div>
                        <div class="col-sm-9 text-secondary text-lg">{{ request.user.date_of_birth }}</div>
                    </div>
                    <hr>

                    <div class="row">
                        <div class="col-sm-3 text-dark text-lg font-weight-bold">Hak Akses</div>
                        <div class="col-sm-9 text-secondary text-lg">{{ request.user.role }}</div>
                    </div>
                    <hr>
                    <div class="text-right">
                        <a href="{% url 'profile:admin_user_edit' username=user.username %}" class="btn btn-info">Ubah Data Profile</a>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- <div class="row">
        <div class="col-md-12 col-sm-12 mb-2">
            <div class="card shadow">
                <div class="card-header m-0 font-weight-bold text-info">Statistik Konten</div>
                <div class="card-body p-3  d-flex justify-content-center">
                    <div class="col-md-8 col-sm-12">
                        <canvas id="myChart"></canvas>
                    </div>
                </div>
            </div>
        </div>
    </div> -->
<!-- MODAL TO CROP THE IMAGE -->
    <div class="modal fade" id="modalCrop" data-backdrop="static" data-keyboard="false">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="m-0 font-weight-bold text-info">Sesuaikan Foto</h5>
                    <button type="button" class="close text-info modal-close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div class="modal-body">
                    <img src="" id="image" style="max-width: 100%;">
                </div>

                <div class="modal-footer">
                <div class="btn-group pull-left" role="group">
                    <button type="button" class="btn btn-default js-zoom-in">
                        <i class="bi bi-zoom-in"></i>
                    </button>
                    <button type="button" class="btn btn-default js-zoom-out">
                        <i class="bi bi-zoom-out"></i>
                    </button>
                </div>
                <button type="button" class="btn btn-info js-crop-and-upload">Crop</button>
                </div>
            </div>
        </div>
    </div>

{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'profile/js/cropper/cropper.min.js' %}"></script>
    <script src="{% static 'profile/js/cropper/jquery-cropper.min.js' %}"></script>
    <script src="{% static 'profile/js/chart.js' %}"></script>

    <script>
        $( document ).ready(function() {
            $("#card-form-avatar").hide();
        });

        $(".modal-close").click(function(){
            $("#id_avatar").val(null);
        });

        $("#avatar-ubah").click(function(){
            $("#card-form-avatar").toggle();
        });

        $("#id_avatar").change(function () {
            if (this.files && this.files[0]) {
                let reader = new FileReader();
                
                reader.onload = function (e) {
                    $("#image").attr("src", e.target.result);
                    $("#modalCrop").modal("show");
                }

                reader.readAsDataURL(this.files[0]);
            }
        });

        let $image = $("#image");
        let cropBoxData;
        let canvasData;

        $("#modalCrop").on("shown.bs.modal", function () {
            $image.cropper({
                viewMode: 1,
                aspectRatio: 1/1,
                minCropBoxWidth: 200,
                minCropBoxHeight: 200,
                ready: function () {
                    $image.cropper("setCanvasData", canvasData);
                    $image.cropper("setCropBoxData", cropBoxData);
            }
        });

        }).on("hidden.bs.modal", function () {
            cropBoxData = $image.cropper("getCropBoxData");
            canvasData = $image.cropper("getCanvasData");
            $image.cropper("destroy");
        });

        // Enable zoom in button
        $(".js-zoom-in").click(function () {
            $image.cropper("zoom", 0.1);
        });

        // Enable zoom out button
        $(".js-zoom-out").click(function () {
            $image.cropper("zoom", -0.1);
        });

        $("#avatar-ubah").click(function () {
            // var cropData = $image.cropper("getData");
            // $("#id_x").val(cropData["x"]);
            // $("#id_y").val(cropData["y"]);
            // $("#id_height").val(cropData["height"]);
            // $("#id_width").val(cropData["width"]);
            // $("#modalCrop").modal('hide');
            $("#form-avatar").submit();
        });
    </script>

    <script>
        const labels = [
            'Agenda',
            'Berita',
            'Dokumen Publikasi',
            'Galeri',
            'Pengumuman',
        ];
        const data = {
            labels: labels,
            datasets: [
                {   
                    label: 'Postingan Olehmu',
                    backgroundColor: 'rgb(13, 110, 253)',
                    borderColor: 'rgb(13, 110, 253)',
                    data: [{{agenda}}, {{news}}, {{document}}, {{gallery}}, {{announcement}}, ],
                },
                {
                    label: 'Total Postingan',
                    backgroundColor: 'rgb(32, 201, 151)',
                    borderColor: 'rgb(32, 201, 151)',
                    data: [{{agenda_total}}, {{news_total}}, {{document_total}}, {{gallery_total}}, {{announcement_total}},],
                },
            ]
        };
        const config = {
            type: 'bar',
            data: data,
            options: {
                indexAxis: 'y',
                responsive: true,
                scales: {
                    x: {
                        stacked: true,
                    },
                    y: {
                        stacked: true
                    }
                },
            }
        };
        const myChart = new Chart(
            document.getElementById('myChart'),
            config
        );
    </script>
{% endblock scripts_bawah %}